/* ERS */

#include <signal.h>
#include <stdlib.h>
#include <unistd.h>
#include <mintbind.h>
#include "lib.h"

#ifndef SIGABRT
#define SIGABRT SIGIOT
#endif

extern int __mint;

__EXITING
abort()
{
#ifdef __MINT__
	if (__mint)
		(void) Pkill(Pgetpid(), SIGABRT);
#if 0
	/* Do not do this because it violates POSIX (raise() and
	   kill() are available for the user unless <signal.h> is
	   included in user's source).  Fix later.
	*/
	else
		raise(SIGABRT);
#endif
	_fclose_all_files();
	_exit(127);
#else
	raise(SIGABRT);
	exit(127);
#endif
}
